1 Reply Latest reply on Oct 11, 2017 6:39 AM by misan

    Amdgpu-pro 17.30-465504 fails to install on 64 bit Ubuntu 16.04 f

    misan

      Describe your system:

      • AMD Graphics Card
        • Make and model;  2GB Shaphire RX 460
      • Desktop or Laptop System
        • Noname desktop box.
      • Operating System
        • Ubuntu 16.04 64bit
      • Driver version installed
        • amdgpu-pro     17.30-465504
      • Display Devices
        • 32" Benq PD3200U 3840x2160 @60Hz Active DP
      • Motherboard
        • MSI Z87M-G43
      • CPU/APU
        • Intel i5 4750 @ 3.2Ghz
      • Power Supply Unit  Make, Model & Wattage
        • 800W ATX power supply
      • RAM
        • 16GB

      Describe your issue:

      • Provide a detailed description of the issue you are experiencing and the steps required to reproduce the issue.

      Having trouble with this https://community.amd.com/message/2807392#comment-2807392 still with 17.10 I tried to upgrade to 17.30 but after the apparently successful install, system reboots to a failing Xwindows:

      ...

      [   274.641] (**) ModulePath set to "/opt/amdgpu-pro/lib/xorg/modules,/usr/lib/xorg/modules"

      [   274.641] (II) The server relies on udev to provide the list of input devices.

        If no devices become available, reconfigure udev or disable AutoAddDevices.

      [   274.641] (II) Loader magic: 0x563b8582adc0

      [   274.641] (II) Module ABI versions:

      [   274.641] X.Org ANSI C Emulation: 0.4

      [   274.641] X.Org Video Driver: 20.0

      [   274.641] X.Org XInput driver : 22.1

      [   274.641] X.Org Server Extension : 9.0

      [   274.642] (++) using VT number 1

       

       

      [   274.644] (II) systemd-logind: took control of session /org/freedesktop/login1/session/_31

      [   274.644] (II) xfree86: Adding drm device (/dev/dri/card0)

      [   274.645] (II) systemd-logind: got fd for /dev/dri/card0 226:0 fd 8 paused 0

      [   274.645] (--) PCI:*(0:1:0:0) 1002:67ef:174b:e348 rev 207, Mem @ 0xe0000000/268435456, 0xf0000000/2097152, 0xf0200000/262144, I/O @ 0x0000e000/256, BIOS @ 0x????????/131072

      [   274.645] (II) LoadModule: "glx"

      [   274.645] (II) Loading /opt/amdgpu-pro/lib/xorg/modules/extensions/libglx.so

      [   274.646] (II) Module glx: vendor="X.Org Foundation"

      [   274.646] compiled for 1.19.0, module version = 1.0.0

      [   274.646] ABI class: X.Org Server Extension, version 10.0

      [   274.646] (EE) module ABI major version (10) doesn't match the server's version (9)

      [   274.646] (II) UnloadModule: "glx"

      [   274.646] (II) Unloading glx

      [   274.646] (EE) Failed to load module "glx" (module requirement mismatch, 0)

      [   274.646] (II) Applying OutputClass "amdgpu-pro" to /dev/dri/card0

      [   274.646] loading driver: amdgpu

      [   274.646] (II) Applying OutputClass "AMDgpu" to /dev/dri/card0

      [   274.646] loading driver: amdgpu

      [   274.646] (==) Matched amdgpu as autoconfigured driver 0

      [   274.646] (==) Matched amdgpu as autoconfigured driver 1

      [   274.646] (==) Matched ati as autoconfigured driver 2

      [   274.646] (==) Matched ati as autoconfigured driver 3

      [   274.646] (==) Matched modesetting as autoconfigured driver 4

      [   274.646] (==) Matched fbdev as autoconfigured driver 5

      [   274.646] (==) Matched vesa as autoconfigured driver 6

      [   274.646] (==) Assigned the driver to the xf86ConfigLayout

      [   274.646] (II) LoadModule: "amdgpu"

      [   274.646] (II) Loading /opt/amdgpu-pro/lib/xorg/modules/drivers/amdgpu_drv.so

      [   274.647] (II) Module amdgpu: vendor="X.Org Foundation"

      [   274.647] compiled for 1.19.3, module version = 1.3.99

      [   274.647] Module class: X.Org Video Driver

      [   274.647] ABI class: X.Org Video Driver, version 23.0

      [   274.647] (EE) module ABI major version (23) doesn't match the server's version (20)

      [   274.647] (II) UnloadModule: "amdgpu"

      [   274.647] (II) Unloading amdgpu

      [   274.647] (EE) Failed to load module "amdgpu" (module requirement mismatch, 0)

      [   274.647] (II) LoadModule: "ati"

      [   274.647] (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so

      [   274.647] (II) Module ati: vendor="X.Org Foundation"

      [   274.647] compiled for 1.18.3, module version = 7.7.0

      [   274.647] Module class: X.Org Video Driver

      [   274.647] ABI class: X.Org Video Driver, version 20.0

      [   274.647] (II) LoadModule: "radeon"

      [   274.647] (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so

      [   274.647] (II) Module radeon: vendor="X.Org Foundation"

      [   274.647] compiled for 1.18.3, module version = 7.7.0

      [   274.647] Module class: X.Org Video Driver

      [   274.647] ABI class: X.Org Video Driver, version 20.0

      [   274.647] (II) LoadModule: "modesetting"

      [   274.647] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so

      [   274.647] (II) Module modesetting: vendor="X.Org Foundation"

      [   274.647] compiled for 1.18.4, module version = 1.18.4

      [   274.647] Module class: X.Org Video Driver

      [   274.647] ABI class: X.Org Video Driver, version 20.0

      [   274.647] (II) LoadModule: "fbdev"

      [   274.647] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so

      [   274.647] (II) Module fbdev: vendor="X.Org Foundation"

      [   274.647] compiled for 1.18.1, module version = 0.4.4

      [   274.647] Module class: X.Org Video Driver

      [   274.647] ABI class: X.Org Video Driver, version 20.0

      [   274.647] (II) LoadModule: "vesa"

      [   274.647] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so

      [   274.647] (II) Module vesa: vendor="X.Org Foundation"

      [   274.647] compiled for 1.18.1, module version = 2.3.4

      [   274.647] Module class: X.Org Video Driver

      [   274.647] ABI class: X.Org Video Driver, version 20.0

      [   274.647] (II) Applying OutputClass "amdgpu-pro" to /dev/dri/card0

      [   274.647] loading driver: amdgpu

      [   274.647] (II) Applying OutputClass "AMDgpu" to /dev/dri/card0

      [   274.647] loading driver: amdgpu

      [   274.647] (==) Matched amdgpu as autoconfigured driver 0

      [   274.647] (==) Matched amdgpu as autoconfigured driver 1

      [   274.647] (==) Matched ati as autoconfigured driver 2

      [   274.647] (==) Matched ati as autoconfigured driver 3

      [   274.647] (==) Matched modesetting as autoconfigured driver 4

      [   274.647] (==) Matched fbdev as autoconfigured driver 5

      [   274.647] (==) Matched vesa as autoconfigured driver 6

      [   274.647] (==) Assigned the driver to the xf86ConfigLayout

      [   274.647] (II) LoadModule: "amdgpu"

      [   274.647] (II) Loading /opt/amdgpu-pro/lib/xorg/modules/drivers/amdgpu_drv.so

      [   274.648] (II) Module amdgpu: vendor="X.Org Foundation"

      [   274.648] compiled for 1.19.3, module version = 1.3.99

      [   274.648] Module class: X.Org Video Driver

      [   274.648] ABI class: X.Org Video Driver, version 23.0

      [   274.648] (EE) module ABI major version (23) doesn't match the server's version (20)

      [   274.648] (II) UnloadModule: "amdgpu"

      [   274.648] (II) Unloading amdgpu

      [   274.648] (EE) Failed to load module "amdgpu" (module requirement mismatch, 0)

      [   274.648] (II) LoadModule: "ati"

      [   274.648] (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so

      [   274.648] (II) Module ati: vendor="X.Org Foundation"

      [   274.648] compiled for 1.18.3, module version = 7.7.0

      [   274.648] Module class: X.Org Video Driver

      [   274.648] ABI class: X.Org Video Driver, version 20.0

      [   274.648] (II) LoadModule: "modesetting"

      [   274.648] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so

      [   274.648] (II) Module modesetting: vendor="X.Org Foundation"

      [   274.648] compiled for 1.18.4, module version = 1.18.4

      [   274.648] Module class: X.Org Video Driver

      [   274.648] ABI class: X.Org Video Driver, version 20.0

      [   274.648] (II) UnloadModule: "modesetting"

      [   274.648] (II) Unloading modesetting

      [   274.648] (II) Failed to load module "modesetting" (already loaded, 0)

      [   274.648] (II) LoadModule: "fbdev"

      [   274.648] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so

      [   274.648] (II) Module fbdev: vendor="X.Org Foundation"

      [   274.648] compiled for 1.18.1, module version = 0.4.4

      [   274.648] Module class: X.Org Video Driver

      [   274.648] ABI class: X.Org Video Driver, version 20.0

      [   274.648] (II) UnloadModule: "fbdev"

      [   274.648] (II) Unloading fbdev

      [   274.648] (II) Failed to load module "fbdev" (already loaded, 0)

      [   274.648] (II) LoadModule: "vesa"

      [   274.648] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so

      [   274.648] (II) Module vesa: vendor="X.Org Foundation"

      [   274.648] compiled for 1.18.1, module version = 2.3.4

      [   274.648] Module class: X.Org Video Driver

      [   274.648] ABI class: X.Org Video Driver, version 20.0

      [   274.648] (II) UnloadModule: "vesa"

      [   274.648] (II) Unloading vesa

      [   274.648] (II) Failed to load module "vesa" (already loaded, 0)

      [   274.648] (II) RADEON: Driver for ATI Radeon chipsets:

      ...

       

      uname -a output:

       

      Linux toscana2 4.4.0-96-generic #119-Ubuntu SMP Tue Sep 12 14:59:54 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

       

      Only way (so far) to get back the GUI is to reinstall 17.10 driver. Not seeing a similar issue on the forums makes me guess my machines configuration or software setup might be triggering the problem.

       

      Any help is appreciated,

       

      misan